using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace ReallifeGamemode.Database.Entities
{
  public partial class HouseRental
  {
    [Key]
    [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    public int Id { get; set; }

    [ForeignKey("House")]
    public int? HouseId { get; set; }

    public House House { get; set; }

    [ForeignKey("User")]
    public int? UserId { get; set; }

    public User User { get; set; }
  }
}
